//-*- encoding: UTF-8N -*-
var root = {};
root.list = [];
root.select = [];
root.select.current = -1;

function button1() {
	evalLogic("Functions");
}
function button2() {
	loadSection("MainCommand");
}
function button3() {
	//loadSection("キャンプ");
	drawCanvas();
}
function button4() {
	loadSection("移動");
}
function drawCanvas() {
	var canvas = $("#canvas")[0];
	/* canvas要素の存在チェックとCanvas未対応ブラウザの対処 */
	if (!canvas || !canvas.getContext) {
		return false;
	}
	/* 2Dコンテキスト */
	var ctx = canvas.getContext('2d');

	ctx.strokeStyle = "rgb(0, 0, 0)";
	ctx.fillStyle = "rgb(255, 255, 255)";

	ctx.beginPath();
	ctx.moveTo(0, 0);
	ctx.lineTo(640, 640);
	ctx.moveTo(0, 640);
	ctx.lineTo(640, 0);
	ctx.stroke();

	ctx.fillRect(160, 160, 320, 320);
	ctx.strokeRect(160, 160, 320, 320);
}
function drawLine(ary){
	var message = "";
	for(var i = 0; i < ary.length; i++){
		if(ary[i].名前){
			message += i + ". " + ary[i].名前 + "<br />";
		}
	}
	$("#mainMessage").html(message);
}
function evalLogic(section){
	$.get("getMainLogic.php", { section: section, listing: "logic" }, function(xml){
		eval($("logic", xml).text());
	});
}
function getList(section){
	$.get("getMainLogic.php", { section: section, listing: "list" }, function(xml){
		updateList(xml);
		var message = "";
		for(var i = 0; i < root.list.length; i++){
			message += (i + 1) + ". " + root.list[i] + "<br />";
		}
		$("#mainMessage").html(message);
	});
}
function loadSection(section){
	$.get("getMainLogic.php", { section: section }, function(xml){
		var items = $("item", xml);
		if(items){
			updateList(items);
			updateListView();
		}
		var message = $("message", xml);
		if(message){
			updateMessage(message);
			updateMessageView(message);
		}
	});
}
function updateMessage(item){
	root.message = item;
}
function updateList(items){
	root.list = [];
	items.each(function(){
		root.list.push($(this).text());
	});
}
function updateMessageView(){
	$("mainMessage").text(root.message);
}
function updateListView(){
	var listRoot = $("#listMessage");
	listRoot.empty();
	for(var i = 0; i < root.list.length; i++){
		listRoot.append("<li>" + root.list[i] + "</li>");
	}
}
